package com.ruoyi.yiqi.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.domain.entity.YqSysDictData;
import com.ruoyi.yiqi.service.IYqSysDictDataService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.ObjectUtils;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

/**
 * 数据字典信息
 *
 * @author Lion Li
 */
@Validated
@RequiredArgsConstructor(onConstructor_ = @Autowired)
@RestController
@RequestMapping("/system/dict/data")
public class YqSysDictDataController extends BaseController {

    private final IYqSysDictDataService dictDataService;

    /**
     * 根据字典类型查询字典数据信息
     */
    @GetMapping(value = "/type/{dictType}")
    public R<List<YqSysDictData>> dictType(@PathVariable String dictType) {
        List<YqSysDictData> data = dictDataService.selectDictDataByType(dictType);
        if (ObjectUtils.isEmpty(data)) {
            data = new ArrayList<>();
        }
        return R.ok(data);
    }

}
